package cn.com.poc.agent_application.query;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;

import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for AgentApplicationDialoguesRecordQuery
 */
@Entity
public class AgentApplicationDialoguesRecordQueryItem extends BaseItemClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * role
     * role
     */
    private java.lang.String role;

    @Column(name = "role")
    public java.lang.String getRole() {
        return this.role;
    }

    public void setRole(java.lang.String role) {
        this.role = role;
    }

    /**
     * agent_id
     * agent_id
     */
    private java.lang.String agentId;

    @Column(name = "agent_id")
    public java.lang.String getAgentId() {
        return this.agentId;
    }

    public void setAgentId(java.lang.String agentId) {
        this.agentId = agentId;
    }

    /**
     * dialogs_id
     * dialogs_id
     */
    private java.lang.String dialogsId;

    @Column(name = "dialogs_id")
    public java.lang.String getDialogsId() {
        return this.dialogsId;
    }

    public void setDialogsId(java.lang.String dialogsId) {
        this.dialogsId = dialogsId;
    }

    /**
     * member_id
     * member_id
     */
    private java.lang.Long memberId;

    @Column(name = "member_id")
    public java.lang.Long getMemberId() {
        return this.memberId;
    }

    public void setMemberId(java.lang.Long memberId) {
        this.memberId = memberId;
    }

    /**
     * content
     * content
     */
    private java.lang.String content;

    @Column(name = "content")
    public java.lang.String getContent() {
        return this.content;
    }

    public void setContent(java.lang.String content) {
        this.content = content;
    }

    /**
     * reasoning_content
     */
    private String reasoningContent;

    @Column(name = "reasoning_content")
    public String getReasoningContent() {
        return reasoningContent;
    }

    public void setReasoningContent(String reasoningContent) {
        this.reasoningContent = reasoningContent;
    }

    /**
     * function
     */
    private java.lang.String function;

    @Column(name = "function_result")
    public String getFunction() {
        return function;
    }

    public void setFunction(String function) {
        this.function = function;
    }

    /**
     * image_url
     * 图片链接
     */
    private java.lang.String imageUrl;

    @Column(name = "image_url")
    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    /**
     * timestamp
     * timestamp
     */
    private java.lang.Long timestamp;

    @Column(name = "timestamp")
    public java.lang.Long getTimestamp() {
        return this.timestamp;
    }

    public void setTimestamp(java.lang.Long timestamp) {
        this.timestamp = timestamp;
    }

    /**
     * agent_avatar
     * agent_avatar
     */
    private java.lang.String agentAvatar;

    @Column(name = "agent_avatar")
    public java.lang.String getAgentAvatar() {
        return this.agentAvatar;
    }

    public void setAgentAvatar(java.lang.String agentAvatar) {
        this.agentAvatar = agentAvatar;
    }

    /**
     * agent_title
     * agent_title
     */
    private java.lang.String agentTitle;

    @Column(name = "agent_title")
    public java.lang.String getAgentTitle() {
        return this.agentTitle;
    }

    public void setAgentTitle(java.lang.String agentTitle) {
        this.agentTitle = agentTitle;
    }

} 